osl::move_probability::CheckFeature Class Reference

`#include <feature.h>`

Inheritance diagram for osl::move_probability::CheckFeature:

## Public Types

enum | { CHECK_CLASS = 4 , RELATIVE_Y_CLASS = 3 }

## Public Member Functions

| CheckFeature ()
double | match (const StateInfo &state, const MoveInfo &move, int offset, const double *w) const
Public Member Functions inherited from osl::move_probability::Feature
| Feature (std::string n, size_t d)
virtual | ~Feature ()
std::string | name () const
size_t | dimension () const

## Static Public Member Functions

static int | checkIndex (const MoveInfo &move)
static int | sign (const NumEffectState &state, Move move, Player player)
Static Public Member Functions inherited from osl::move_probability::Feature
static int | classifyEffect9 (const NumEffectState &state, Player player, Square to)

## Detailed Description

Definition at line 40 of file move_probability/feature.h.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
CHECK_CLASS |
RELATIVE_Y_CLASS |

Definition at line 43 of file move_probability/feature.h.

## Constructor & Destructor Documentation

## CheckFeature()

osl::move_probability::CheckFeature::CheckFeature | ( |  | ) |

inline

Definition at line 44 of file move_probability/feature.h.

References CHECK_CLASS, osl::move_probability::Feature::Feature(), osl::PTYPE_SIZE, and RELATIVE_Y_CLASS.

## Member Function Documentation

## checkIndex()

int osl::move_probability::CheckFeature::checkIndex | ( | const MoveInfo & | move | ) |

inline static

Definition at line 48 of file move_probability/feature.h.

References osl::move_probability::MoveInfo::open_check, and osl::move_probability::MoveInfo::see.

Referenced by match().

## match()

double osl::move_probability::CheckFeature::match | ( | const StateInfo & | state,
|  | const MoveInfo & | move,
|  | int | offset,
|  | const double * | w ) const

inline virtual

Implements osl::move_probability::Feature.

Definition at line 62 of file move_probability/feature.h.

References osl::move_probability::MoveInfo::check, CHECK_CLASS, checkIndex(), osl::Move::isDrop(), osl::move_probability::MoveInfo::move, osl::move_probability::MoveInfo::open_check, osl::move_probability::MoveInfo::player, osl::Move::ptype(), osl::PTYPE_SIZE, sign(), and osl::move_probability::StateInfo::state.

## sign()

int osl::move_probability::CheckFeature::sign | ( | const NumEffectState & | state,
|  | Move | move,
|  | Player | player )

inline static

Definition at line 54 of file move_probability/feature.h.

References osl::alt(), osl::SimpleState::kingSquare(), osl::sign(), osl::Move::to(), and osl::Square::y().

Referenced by match().

The documentation for this class was generated from the following file:

- move_probability/feature.h